Debian Bug report logs - #149897
equalize kernel patch not available for current kernels?

version graph

Package: iproute; Maintainer for iproute is Debian iproute maintainers <ah-iproute@debian.org>; Source for iproute is src:iproute2.

Reported by: Andras Korn <korn-debbugs@chardonnay.math.bme.hu>

Date: Thu, 13 Jun 2002 13:33:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version 20010824-8

Fixed in version iproute/20100224-1

Done: Andreas Henriksson <andreas@fatal.se>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Juan Cespedes <cespedes@debian.org>, iproute@packages.qa.debian.org:
Bug#149897; Package iproute. Full text and rfc822 format available.

Acknowledgement sent to "KORN Andras" <korn@chardonnay.math.bme.hu>:
New Bug report received and forwarded. Copy sent to Juan Cespedes <cespedes@debian.org>, iproute@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "KORN Andras" <korn@chardonnay.math.bme.hu>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: 'ip route add <destination> equalize nexthop dev tun1 weight <x> nexthop dev tun2 weight <y>' unexpected behaviour when an interface goes down
Date: Thu, 13 Jun 2002 15:22:00 +0200
Package: iproute
Version: 20010824-8
Severity: normal

Hi,

I have two VPN tunnels between two sites, and the above route.

I would have expected the part of the route that points through tun1 to
disappear when tun1 goes down; however, the kernel forgets the entire route.

This is bad, because it makes failover more difficult, because it is not
the expected behaviour, and because it is probably always wrong (i.e. the
explicit route was there for a reason, otherwise the default route would
have sufficed).

So, to reiterate what one would expect and what actually happens:

Expected behaviour: if there are routes to a destination through several
interfaces, and one of those interfaces goes down, drop the route through
that interface, but retain the other routes towards that destination.

Actual behaviour: if there are routes to a destination through several
interfaces, and one of those interfaces goes down, drop all routes to that
destination and fall back to using the default gateway.

As far as I can tell, the actual behaviour is always wrong.

I realize this is probably a kernel bug, not an iproute issue, but I thought
the report would reach the right people sooner if I filed it against
iproute.

Andrew

-- 
            Andrew Korn (Korn Andras) <korn@chardonnay.math.bme.hu>
             Finger korn@chardonnay.math.bme.hu for pgp key. QOTD:
                Don't vote, the government will get in anyway.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux chardonnay 2.4.18-ak1.2.1-chardonnay #1 Thu Apr 11 15:48:31 CEST 2002 i686
Locale: LANG=C, LC_CTYPE=hu_HU

Versions of packages iproute depends on:
ii  libc6                         2.2.5-6    GNU C Library: Shared libraries an

-- no debconf information




Changed Bug submitter from "KORN Andras" <korn@chardonnay.math.bme.hu> to Andras Korn <korn-debbugs@chardonnay.math.bme.hu>. Request was from Andras Korn <korn-debbugs@chardonnay.math.bme.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#149897; Package iproute. Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 149897@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@debian.org>
To: 149897@bugs.debian.org
Subject: Follow up for #149897
Date: Fri, 8 Sep 2006 22:34:30 +0200
Hi Andreas,

I'm currently working on some old bugs on iproute and your bug is one of the
oldest :). Is this bug still present with recent kernel versions and iproute
versions? 
If not I would close this bug. 

Thanks
Alex



Tags added: wontfix, moreinfo Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. (Tue, 25 Dec 2007 01:09:02 GMT) Full text and rfc822 format available.

Message sent on to Andras Korn <korn-debbugs@chardonnay.math.bme.hu>:
Bug#149897. Full text and rfc822 format available.

Message #17 received at 149897-submitter@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 149897-submitter@bugs.debian.org
Subject: Re: The bug you reported about ip route ... equalize ...
Date: Tue, 25 Dec 2007 02:08:16 +0100
tag 149897 + wontfix moreinfo
thanks

Hello!

I'm looking over the old remaining bugreports against iproute and came
across http://bugs.debian.org/149897.

I tried to reproduce the problem but when I tried to add a route with
"equalize" I got "Invalid argument".
The ip manpage told me "equalize only works if the kernel is patched."

I'm guessing this issue is most likely not an iproute issue, but a
kernel issue. One that should be handled by the patch that's needed for
the equalize to work in the first place. I don't know, but I guess this
patch isn't shipped in debian so I can't reassign the report to anyone
else to look at it either.

Anyway, since it doesn't look like this problem is getting fixed I'm
tagging it accordingly for now. If no additional information is provided
that states otherwise, I'm going to assume this is not an iproute
problem and close the bug as I have no idea where to even get the kernel
patch that adds support for equalize. (Feel free to reopen if you have
any indication about this being an iproute bug.)
I'll ask the debian kernel people if they want to have a look at this
issue, but I guess they are all stocked up with new and fresh bugs to
work on so I think they'll just tell me to close it if I try to pin it
on them.

-- 
Regards,
Andreas Henriksson





Information stored:
Bug#149897; Package iproute. Full text and rfc822 format available.

Acknowledgement sent to Andras Korn <korn-debbugs@chardonnay.math.bme.hu>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #22 received at 149897-quiet@bugs.debian.org (full text, mbox):

From: Andras Korn <korn-debbugs@chardonnay.math.bme.hu>
To: Andreas Henriksson <andreas@fatal.se>, 149897-quiet@bugs.debian.org
Cc: 149897-submitter@bugs.debian.org
Subject: Re: Bug#149897: The bug you reported about ip route ... equalize ...
Date: Sat, 29 Dec 2007 12:41:53 +0100
On Tue, Dec 25, 2007 at 02:08:16AM +0100, Andreas Henriksson wrote:

Hi,

> I'm looking over the old remaining bugreports against iproute and came
> across http://bugs.debian.org/149897.
> 
> I tried to reproduce the problem but when I tried to add a route with
> "equalize" I got "Invalid argument".
> The ip manpage told me "equalize only works if the kernel is patched."

What kernel version is that? I can add this route to a vanilla kernel (OK,
it has the vserver patch but that doesn't really touch multipath routing).

modprobe dummy numdummies=2
ifconfig dummy0 10.0.0.1 netmask 255.255.255.0 up
ifconfig dummy1 10.0.1.1 netmask 255.255.255.0 up
ip route add 10.1.0.0/24 equalize nexthop dev dummy0 weight 1 nexthop dev dummy1 weight 2

This works and sets up the expected route:

# ip ro sh
[...]
10.1.0.0/24 equalize 
        nexthop dev dummy0 weight 1
        nexthop dev dummy1 weight 2

However, the bug seems to have been fixed; at least, after ifconfig dummy0
down, I see this:

10.1.0.0/24 equalize 
        nexthop dev dummy0 weight 1 dead
        nexthop dev dummy1 weight 2

If I then ifconfig dummy0 up again, the dead half of the route comes back.
So I'd say this works as expected now.

Maybe you couldn't test these routes because you didn't have
CONFIG_IP_ROUTE_MULTIPATH=y...

> I'm guessing this issue is most likely not an iproute issue, but a
> kernel issue.

I agree.

Andras

-- 
                 Andras Korn <korn at chardonnay.math.bme.hu>
                 <http://chardonnay.math.bme.hu/~korn/>	QOTD:
            1st rule of marriage: If you're right, apologize fast.




Message sent on to Andras Korn <korn-debbugs@chardonnay.math.bme.hu>:
Bug#149897. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Wirt <formorer@debian.org>:
Bug#149897; Package iproute. Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Alexander Wirt <formorer@debian.org>. Full text and rfc822 format available.

Message #30 received at 149897@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: Andras Korn <korn-debbugs@chardonnay.math.bme.hu>
Cc: 149897@bugs.debian.org
Subject: Re: Bug#149897: The bug you reported about ip route ... equalize ...
Date: Sat, 29 Dec 2007 13:22:51 +0100
retitle 149897 documentation: no need to patch kernel for equalize.
tag 149897 =
severity wishlist
thanks


Hello Andras!

Thank you very much for getting back to me on this!

On lör, 2007-12-29 at 12:41 +0100, Andras Korn wrote:
> On Tue, Dec 25, 2007 at 02:08:16AM +0100, Andreas Henriksson wrote:
> 
> > I tried to reproduce the problem but when I tried to add a route with
> > "equalize" I got "Invalid argument".
> > The ip manpage told me "equalize only works if the kernel is patched."
> 
> What kernel version is that? I can add this route to a vanilla kernel (OK,
> it has the vserver patch but that doesn't really touch multipath routing).

I guess I must have done something else wrong. I tested this on Debian
Unstable with the regular packaged linux 2.6.22-3-amd64, but if I follow
the example you gave below it works for me too.

[...]
> If I then ifconfig dummy0 up again, the dead half of the route comes back.
> So I'd say this works as expected now.
[...]

Very good to hear this has resolved itself. The only thing that remains
is the false statement in the documentation about having to patch the
kernel. Lets treat this report as a bug against the documentation from
now on. I'll try to dig some and see if I can find it which kernel
version the support first appeared.


-- 
Regards,
Andreas Henriksson





Changed Bug title to `documentation: no need to patch kernel for equalize.' from `'ip route add <destination> equalize nexthop dev tun1 weight <x> nexthop dev tun2 weight <y>' unexpected behaviour when an interface goes down'. Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. (Sat, 29 Dec 2007 12:42:06 GMT) Full text and rfc822 format available.

Tags set to: Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. (Sat, 29 Dec 2007 12:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Wirt <formorer@debian.org>:
Bug#149897; Package iproute. Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Alexander Wirt <formorer@debian.org>. Full text and rfc822 format available.

Message #39 received at 149897@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: Andras Korn <korn-debbugs@chardonnay.math.bme.hu>
Cc: 149897@bugs.debian.org
Subject: Re: Bug#149897: The bug you reported about ip route ... equalize ...
Date: Sat, 29 Dec 2007 15:15:08 +0100
retitle 149897 equalize kernel patch not available for current kernels?
thanks

On lör, 2007-12-29 at 13:22 +0100, Andreas Henriksson wrote:
> Very good to hear this has resolved itself. The only thing that remains
> is the false statement in the documentation about having to patch the
> kernel. Lets treat this report as a bug against the documentation from
> now on. I'll try to dig some and see if I can find it which kernel
> version the support first appeared.

It seems like the required patch[1] which implements the feature is only
available for 2.4.18. As far as I can tell it only /looks/ like it works
with current kernels, because the kernel has the RTM_F_EQUALIZE flag
(but no actual implementation). The flag has been there since atleast
2.4.0.

man 7 rtnetlink says:
"RTM_F_EQUALIZE   a multicast equalizer (not yet implemented)"

grepping linux 2.6.22 source for RTM_F_EQUALIZE only gets a single hit,
the definition. It's not actually used anywhere.

./include/linux/rtnetlink.h:#define RTM_F_EQUALIZE		0x400	/* Multipath equalizer: NI	*/

(I guess NI in the comment means "Not Implemented".)

I haven't found out why the patch hasn't been merged, but I did find
some discussion[2] between Guus Sliepen (original patch author?) and
Patrick McHardy which seems to mention some of the problems in it. One
of those might be the reason it never got merged in mainline.

So..... Updating the documentation to state the fact that the required
kernel patch doesn't exist (for kernels supported by Debian) doesn't
seem very useful. Possibly the support for equalize in iproute should be
dropped completely since it's never been part of any official kernel
release, and since it hasn't been solved in all these years noone will
probably ever implement this. I'll ask upstream....


[1] http://www.trash.net/~kaber/equalize/
[2] http://www.ussg.iu.edu/hypermail/linux/kernel/0203.2/1314.html


-- 
Regards,
Andreas Henriksson





Changed Bug title to `equalize kernel patch not available for current kernels?' from `documentation: no need to patch kernel for equalize.'. Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. (Sat, 29 Dec 2007 14:18:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Wirt <formorer@debian.org>:
Bug#149897; Package iproute. Full text and rfc822 format available.

Acknowledgement sent to Andras Korn <korn-debbugs@chardonnay.math.bme.hu>:
Extra info received and forwarded to list. Copy sent to Alexander Wirt <formorer@debian.org>. Full text and rfc822 format available.

Message #46 received at 149897@bugs.debian.org (full text, mbox):

From: Andras Korn <korn-debbugs@chardonnay.math.bme.hu>
To: 149897@bugs.debian.org
Subject: Re: Bug#149897: The bug you reported about ip route ... equalize ...
Date: Sun, 30 Dec 2007 11:42:31 +0100
On Sat, Dec 29, 2007 at 03:15:08PM +0100, Andreas Henriksson wrote:

Hi,

> > Very good to hear this has resolved itself. The only thing that remains
> > is the false statement in the documentation about having to patch the
> > kernel. Lets treat this report as a bug against the documentation from
> > now on. I'll try to dig some and see if I can find it which kernel
> > version the support first appeared.
> 
> It seems like the required patch[1] which implements the feature is only
> available for 2.4.18. As far as I can tell it only /looks/ like it works
> with current kernels, because the kernel has the RTM_F_EQUALIZE flag
> (but no actual implementation). The flag has been there since atleast
> 2.4.0.
> 
> man 7 rtnetlink says:
> "RTM_F_EQUALIZE   a multicast equalizer (not yet implemented)"

This at least should be multipath, not multicast.

> So..... Updating the documentation to state the fact that the required
> kernel patch doesn't exist (for kernels supported by Debian) doesn't
> seem very useful.

Oh, I think it would be useful. Maybe add a note to README.Debian to the
tune of "This version of iproute supports multipath route equalization, but
as of 2007-12-30 no kernel implements it. Routes that rely on the 'equalize'
keyword will not work as expected. See
http://www.ussg.iu.edu/hypermail/linux/kernel/0203.2/1314.html and e.g.
http://www.mail-archive.com/lartc@mailman.ds9a.nl/msg10038.html for more
information."

> Possibly the support for equalize in iproute should be dropped completely
> since it's never been part of any official kernel release, and since it
> hasn't been solved in all these years noone will probably ever implement
> this. I'll ask upstream....

I don't know. I see the current situation as being halfway there; adding the
required support to the kernel would be a step forward, while also removing
it from iproute would be a step backward.

Also, removing equalize support from iproute may break scripts that use it,
so that e.g. after a reboot, a box would be unable to set its routing up and
become unreachable. Not good. Even if 'equalize' doesn't do what's expected,
it at least works to the extent that the routes are created.

The most I think could be done is make ip(8) print a warning when equalize
is used. This will, however, still annoy a lot of people because it'll cause
normally silent scripts to suddenly spew warnings.

Andras

-- 
                 Andras Korn <korn at chardonnay.math.bme.hu>
                 <http://chardonnay.math.bme.hu/~korn/>	QOTD:
          The Moon is covered with the results of astronomical odds.




Tags added: fixed-upstream Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. (Fri, 27 Mar 2009 20:42:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. (Sun, 27 Dec 2009 00:00:09 GMT) Full text and rfc822 format available.

Reply sent to Andreas Henriksson <andreas@fatal.se>:
You have taken responsibility. (Fri, 01 Jan 2010 22:36:05 GMT) Full text and rfc822 format available.

Notification sent to Andras Korn <korn-debbugs@chardonnay.math.bme.hu>:
Bug acknowledged by developer. (Fri, 01 Jan 2010 22:36:05 GMT) Full text and rfc822 format available.

Message #55 received at 149897-close@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 149897-close@bugs.debian.org
Subject: Bug#149897: fixed in iproute 20091226-1
Date: Fri, 01 Jan 2010 22:32:15 +0000
Source: iproute
Source-Version: 20091226-1

We believe that the bug you reported is fixed in the latest version of
iproute, which is due to be installed in the Debian FTP archive:

iproute-dev_20091226-1_amd64.deb
  to main/i/iproute/iproute-dev_20091226-1_amd64.deb
iproute-doc_20091226-1_all.deb
  to main/i/iproute/iproute-doc_20091226-1_all.deb
iproute_20091226-1.diff.gz
  to main/i/iproute/iproute_20091226-1.diff.gz
iproute_20091226-1.dsc
  to main/i/iproute/iproute_20091226-1.dsc
iproute_20091226-1_amd64.deb
  to main/i/iproute/iproute_20091226-1_amd64.deb
iproute_20091226.orig.tar.gz
  to main/i/iproute/iproute_20091226.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 149897@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Henriksson <andreas@fatal.se> (supplier of updated iproute package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 01 Jan 2010 22:48:45 +0100
Source: iproute
Binary: iproute iproute-doc iproute-dev
Architecture: source all amd64
Version: 20091226-1
Distribution: unstable
Urgency: low
Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
Changed-By: Andreas Henriksson <andreas@fatal.se>
Description: 
 iproute    - networking and traffic control tools
 iproute-dev - networking and traffic control tools - development files
 iproute-doc - networking and traffic control tools - documentation
Closes: 149897 526329 532152 532727 539830 545008 547602 550097 559022
Changes: 
 iproute (20091226-1) unstable; urgency=low
 .
   * New upstream release v2.6.31
     - dropped equalize command since kernel never supported it.
       (Closes: #149897)
     - avoid segfault on incorrect lladdr. (Closes: #526329)
     - fix manpage typo. (Closes: #539830)
     - support xtables >= 1.4.5 api. (Closes: #532727, #559022)
     - ss help to stdout (Closes: #545008)
     - add -fPIC to lib/Makefile (Closes: #547602)
     - fix parsing of interfaces for mroute. (Closes: #550097)
     - don't fail flush with secondary addresses. (Closes: #532152)
   * hoplimit.dpatch: dropped in favor of other/improved version
     merged upstream.
   * Update lynx build-dependency to include lynx-cur
   * Add patch to avoid using bashisms in configure script.
Checksums-Sha1: 
 cdffc65bb171a96e839e7ce8e13e45e1672504da 1425 iproute_20091226-1.dsc
 04f069855a50c8b347a5aebd6ffbc3d8d8645639 450765 iproute_20091226.orig.tar.gz
 0ef7084ceff8bdba292a2f548220e26f6b2d8e19 26508 iproute_20091226-1.diff.gz
 a396077b0a9fc48effb99a54d73b958b4176109b 932368 iproute-doc_20091226-1_all.deb
 0e63e7263cf18311c8b830237d16bd26ab224bbd 412952 iproute_20091226-1_amd64.deb
 d520e980494a1fad90ce2d9c0ab3d5bd8080c8d9 18310 iproute-dev_20091226-1_amd64.deb
Checksums-Sha256: 
 1c370019aeb0a1ae6fe2241c1ff4d97273f3642006b050672af27d006fc4d6fe 1425 iproute_20091226-1.dsc
 c45e9d7819f1545be663d17b83c55cd7dd01945e0f2d6dc5be64f63d421c283b 450765 iproute_20091226.orig.tar.gz
 1c84fd1d4069fd0ff43ce1ed6a746bf74b2775f97d276ad9f1a10f671b49a872 26508 iproute_20091226-1.diff.gz
 2e905941c013f5320e31a23d57841f098fc65a92fcf6ca18da119a9ede024b82 932368 iproute-doc_20091226-1_all.deb
 a071f343d57ca6410ed667a41dcaadd54093f66331057ec6beca36bb3c557ae7 412952 iproute_20091226-1_amd64.deb
 7335aca01238fd3c9ccc3fb5234195b86e6169a566754af1d56d26feac4811a6 18310 iproute-dev_20091226-1_amd64.deb
Files: 
 a0307b93db0972c447b1bf18eddfa878 1425 net optional iproute_20091226-1.dsc
 79b24b0f4413ce0d53a5338ce7b45389 450765 net optional iproute_20091226.orig.tar.gz
 4295d5459b8655d10d69a33b2f4f2050 26508 net optional iproute_20091226-1.diff.gz
 5851df29e4083b2d12620d17e0ed3b31 932368 doc optional iproute-doc_20091226-1_all.deb
 a12566567d2838c13c654c35f4b9e243 412952 net important iproute_20091226-1_amd64.deb
 10028a0f4a15c90c6b4c2e6b8f71bd29 18310 libdevel optional iproute-dev_20091226-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAks+dZwACgkQcgQ2cL3l8e5FRwCfZ06RPzbRruztB5v/Oia1Aks8
7nwAoIosnHdcb8ZYrNpIJfzNliX31IV5
=Zu1M
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian iproute maintainers <ah-iproute@debian.org>:
Bug#149897; Package iproute. (Fri, 01 Jan 2010 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Debian iproute maintainers <ah-iproute@debian.org>. (Fri, 01 Jan 2010 23:18:03 GMT) Full text and rfc822 format available.

Message #60 received at 149897@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: shemminger@vyatta.com
Subject: iproute2 commit 6cdbf3706350c4d724ea8d3 broken.
Date: Sat, 2 Jan 2010 00:19:16 +0100
Hello Stephen!

compare the patch I attached in http://lists.openwall.net/netdev/2009/03/27/132
and commit 6cdbf3706350c4d724ea8d35267ae93a4d99eab0

Something funky seems to have happened around commit time....

Regards,
Andreas Henriksson




Bug No longer marked as fixed in versions iproute/20091226-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Jan 2010 23:18:11 GMT) Full text and rfc822 format available.

Reply sent to Andreas Henriksson <andreas@fatal.se>:
You have taken responsibility. (Thu, 25 Feb 2010 12:18:14 GMT) Full text and rfc822 format available.

Notification sent to Andras Korn <korn-debbugs@chardonnay.math.bme.hu>:
Bug acknowledged by developer. (Thu, 25 Feb 2010 12:18:14 GMT) Full text and rfc822 format available.

Message #67 received at 149897-close@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 149897-close@bugs.debian.org
Subject: Bug#149897: fixed in iproute 20100224-1
Date: Thu, 25 Feb 2010 12:17:11 +0000
Source: iproute
Source-Version: 20100224-1

We believe that the bug you reported is fixed in the latest version of
iproute, which is due to be installed in the Debian FTP archive:

iproute-dev_20100224-1_amd64.deb
  to main/i/iproute/iproute-dev_20100224-1_amd64.deb
iproute-doc_20100224-1_all.deb
  to main/i/iproute/iproute-doc_20100224-1_all.deb
iproute_20100224-1.diff.gz
  to main/i/iproute/iproute_20100224-1.diff.gz
iproute_20100224-1.dsc
  to main/i/iproute/iproute_20100224-1.dsc
iproute_20100224-1_amd64.deb
  to main/i/iproute/iproute_20100224-1_amd64.deb
iproute_20100224.orig.tar.gz
  to main/i/iproute/iproute_20100224.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 149897@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Henriksson <andreas@fatal.se> (supplier of updated iproute package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 25 Feb 2010 12:36:02 +0100
Source: iproute
Binary: iproute iproute-doc iproute-dev
Architecture: source all amd64
Version: 20100224-1
Distribution: unstable
Urgency: low
Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
Changed-By: Andreas Henriksson <andreas@fatal.se>
Description: 
 iproute    - networking and traffic control tools
 iproute-dev - networking and traffic control tools - development files
 iproute-doc - networking and traffic control tools - documentation
Closes: 149897
Changes: 
 iproute (20100224-1) unstable; urgency=low
 .
   * New upstream release v2.6.33
     - Really dropped equalize command since kernel never supported it.
       (Closes: #149897)
Checksums-Sha1: 
 2d64640c7f4cb2ae853da210915d91b87acbda31 1425 iproute_20100224-1.dsc
 b789680629068873803e2457ac35cca77966d5cf 452964 iproute_20100224.orig.tar.gz
 769434d8c595999566d8d0df7933b98e8155edc2 26243 iproute_20100224-1.diff.gz
 51dd55056bbc88abded56aeb2d9433d53e918b36 932142 iproute-doc_20100224-1_all.deb
 0bd833d22ae1269f9c172a344300443f6c869371 416844 iproute_20100224-1_amd64.deb
 646f97e3fa4099d24102db7568572d346d6e01e1 18328 iproute-dev_20100224-1_amd64.deb
Checksums-Sha256: 
 44e20a8efea7ae5df43dc5c6a0efee1209f7cfb9d5ada3ab9dcca2bfb299ccc7 1425 iproute_20100224-1.dsc
 59faa03e50a989df509930626a8b91cc3636dbedf10c3ff1914a2e5874d70c2d 452964 iproute_20100224.orig.tar.gz
 edc269b503024085ccc766e9c9b1faee63fbe47a914a4b5ce83ec32b79435a60 26243 iproute_20100224-1.diff.gz
 269fd87113829cd32d1e9a3846cca51fd56af302eb21395d860ef191c591c10b 932142 iproute-doc_20100224-1_all.deb
 9c6a0a86949cc4d5560b966d80d0d58ee8392a415a093e2c91bb9488dbb2e82d 416844 iproute_20100224-1_amd64.deb
 1d6a8f50ff48ada00dab1fddf2b61b22273e0e0faec6f9c70878b494eabff171 18328 iproute-dev_20100224-1_amd64.deb
Files: 
 df3393956941f838b22cdabcd95cdacb 1425 net optional iproute_20100224-1.dsc
 9e850812dc6361d5eb8709d3aa422ea1 452964 net optional iproute_20100224.orig.tar.gz
 3dc8c73caa1f16af1b563bfea0ae081d 26243 net optional iproute_20100224-1.diff.gz
 49b492e0e2107e676181a69be2e11bf7 932142 doc optional iproute-doc_20100224-1_all.deb
 ded02b4ddce0548b4d3d3ee186e7ccb7 416844 net important iproute_20100224-1_amd64.deb
 a629cff86ef238edadcebf7e9c0bfcf6 18328 libdevel optional iproute-dev_20100224-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuGaA8ACgkQcgQ2cL3l8e6NsACcDNJXvavFWF9KjvXSb7u0LxvG
D6gAoKrMtUdtBj+DT2z864/olkDRq5EK
=zlzw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Apr 2010 07:43:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:39:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.